searchNodes=[{"doc":"Client library for Sanity CMS. See the README for examples.","ref":"Sanity.html","title":"Sanity","type":"module"},{"doc":"Deeply traverses nested maps and lists and converts string keys to atoms in underscore_case. Examples iex&gt; Sanity.atomize_and_underscore(%{&quot;_id&quot; =&gt; &quot;123&quot;, &quot;myField&quot; =&gt; [%{&quot;aB&quot; =&gt; &quot;aB&quot;}]}) %{_id: &quot;123&quot;, my_field: [%{a_b: &quot;aB&quot;}]} iex&gt; Sanity.atomize_and_underscore([%{&quot;AbcDef&quot; =&gt; 1}]) [%{abc_def: 1}] iex&gt; Sanity.atomize_and_underscore(%{&quot;already_underscore&quot; =&gt; 1}) %{already_underscore: 1}","ref":"Sanity.html#atomize_and_underscore/1","title":"Sanity.atomize_and_underscore/1","type":"function"},{"doc":"Generates a request for the Doc endpoint . The Sanity docs suggest using this endpoint sparingly because it is &quot;less scalable/performant&quot; than using query/3 .","ref":"Sanity.html#doc/1","title":"Sanity.doc/1","type":"function"},{"doc":"Generates a request for the Mutate endpoint. Examples Sanity . mutate ( [ %{ create : %{ _type : &quot;product&quot; , title : &quot;Test product&quot; } } ] , return_ids : true ) |&gt; Sanity . request ( config )","ref":"Sanity.html#mutate/2","title":"Sanity.mutate/2","type":"function"},{"doc":"Generates a request to the Query endpoint. Requests to this endpoint may be authenticated or unauthenticated. Unauthenticated requests to a dataset with private visibility will succeed but will not return any documents.","ref":"Sanity.html#query/3","title":"Sanity.query/3","type":"function"},{"doc":"Submits a request to the Sanity API. Returns {:ok, response} upon success or {:error, response} if a non-exceptional (4xx) error occurs. A Sanity.Error will be raised if an exceptional error, such as a 5xx response code or a network timeout, occurs. Options :api_version - The default value is &quot;v2021-03-25&quot; . :cdn - Should the CDN be used? See the Sanity docs for details. The default value is false . :dataset - Sanity dataset. :http_options - Options to be passed to Finch.request/3 . The default value is [] . :project_id - Sanity project ID. :token - Sanity auth token.","ref":"Sanity.html#request/2","title":"Sanity.request/2","type":"function"},{"doc":"Like request/2 , but raises a Sanity.Error instead of returning and error tuple. See request/2 for supported options.","ref":"Sanity.html#request!/2","title":"Sanity.request!/2","type":"function"},{"doc":"Returns the result from a Sanity.Response struct. Examples iex&gt; Sanity.result!(%Sanity.Response{body: %{&quot;result&quot; =&gt; []}}) [] iex&gt; Sanity.result!(%Sanity.Response{body: %{}}) ** (Sanity.Error) %Sanity.Response{body: %{}, headers: nil}","ref":"Sanity.html#result!/1","title":"Sanity.result!/1","type":"function"},{"doc":"Generates a request for the asset endpoint . Options :asset_type - Either :image or :file . The default value is :image . :content_type - Optional content-type header. It appears that Sanity is able to infer image types. Query params Sanity doesn't document the query params very well at this time, but the Sanity Javascript client lists several possible query params: label - Label title - Title description - Description filename - Original filename meta - ??? creditLine - The credit to person(s) and/or organization(s) required by the supplier of the image to be used when published","ref":"Sanity.html#upload_asset/3","title":"Sanity.upload_asset/3","type":"function"},{"doc":"","ref":"Sanity.Request.html","title":"Sanity.Request","type":"module"},{"doc":"","ref":"Sanity.Request.html#t:t/0","title":"Sanity.Request.t/0","type":"type"},{"doc":"","ref":"Sanity.Response.html","title":"Sanity.Response","type":"module"},{"doc":"","ref":"Sanity.Response.html#t:t/0","title":"Sanity.Response.t/0","type":"type"},{"doc":"Error that may occur while making a request to the Sanity API. The source field will be one of the following: %Finch.Response{} - If response with an unsupported HTTP status (like 5xx) is received. %Mint.TransportError{} - If a network error such as a timeout occurred. %Sanity.Response{} - If a 4xx response is received during a call to Sanity.request!/2 .","ref":"Sanity.Error.html","title":"Sanity.Error","type":"exception"},{"doc":"A client library for the Sanity CMS API.","ref":"readme.html","title":"Sanity","type":"extras"},{"doc":"The package can be installed by adding sanity to your list of dependencies in mix.exs : def deps do [ { :sanity , &quot;~&gt; 0.8.0&quot; } ] end The docs can be found at https://hexdocs.pm/sanity .","ref":"readme.html#installation","title":"Sanity - Installation","type":"extras"},{"doc":"Sanity . query ( ~S&#39;*[_type == &quot;product&quot;]&#39; ) |&gt; Sanity . request ( project_id : &quot;abcdefgh&quot; , dataset : &quot;production&quot; )","ref":"readme.html#examples","title":"Sanity - Examples","type":"extras"},{"doc":"[x] Assets [x] Doc [ ] Export [ ] History [ ] Listen [x] Mutate [ ] Projects [x] Query","ref":"readme.html#supported-endpoints","title":"Sanity - Supported endpoints","type":"extras"}]